<?php

namespace Database\Seeders;

use App\Models\Parametros\Unidade;
use Illuminate\Database\Seeder;

class UnidadeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $dados = [
            [ "id" => 1, "unidade" => "AFL", "cidade" => "ALTA FLORESTA", "uf" => "MT", "tipo" => "TECA", "cep" => "78580-000" ],
            [ "id" => 2, "unidade" => "AJU", "cidade" => "ARACAJU ", "uf" => "SE", "tipo" => "TECA", "cep" => "49037-580" ],
            [ "id" => 3, "unidade" => "ARU", "cidade" => "ARACATUBA", "uf" => "SP", "tipo" => "TECA", "cep" => "16010-390" ],
            [ "id" => 4, "unidade" => "ATM", "cidade" => "ALTAMIRA", "uf" => "PA", "tipo" => "TECA", "cep" => "68372-005" ],
            [ "id" => 5, "unidade" => "BEL", "cidade" => "BELEM ", "uf" => "PA", "tipo" => "TECA", "cep" => "66617-420" ],
            [ "id" => 7, "unidade" => "BRA", "cidade" => "BARREIRAS", "uf" => "BA", "tipo" => "TECA", "cep" => "47800-120" ],
            [ "id" => 8, "unidade" => "BSB", "cidade" => "BRASILIA ", "uf" => "DF", "tipo" => "TECA", "cep" => "71608-900" ],
            [ "id" => 9, "unidade" => "BVB", "cidade" => "BOA VISTA", "uf" => "RR", "tipo" => "TECA", "cep" => "69301-180" ],
            [ "id" => 10, "unidade" => "BVH", "cidade" => "VILHENA", "uf" => "RO", "tipo" => "TECA", "cep" => "76980-000" ],
            [ "id" => 11, "unidade" => "CAC", "cidade" => "CASCAVEL", "uf" => "PR", "tipo" => "TECA", "cep" => "85807-030" ],
            [ "id" => 12, "unidade" => "JJG", "cidade" => "CRICIUMA", "uf" => "SC", "tipo" => "TECA", "cep" => "88802-200" ],
            [ "id" => 13, "unidade" => "CGB", "cidade" => "CUIABA", "uf" => "MT", "tipo" => "TECA", "cep" => "78110-971" ],
            [ "id" => 14, "unidade" => "CGH", "cidade" => "SAO PAULO - CONGONHAS", "uf" => "SP", "tipo" => "TECA", "cep" => "04342-011" ],
            [ "id" => 15, "unidade" => "CGR", "cidade" => "CAMPO GRANDE", "uf" => "MS", "tipo" => "TECA", "cep" => "79101-901" ],
            [ "id" => 16, "unidade" => "CKS", "cidade" => "CARAJAS / PARAUAPEBAS", "uf" => "PA", "tipo" => "TECA", "cep" => "68515-000" ],
            [ "id" => 17, "unidade" => "CMG", "cidade" => "CORUMBA", "uf" => "MS", "tipo" => "TECA", "cep" => "79302-110" ],
            [ "id" => 18, "unidade" => "CNF", "cidade" => "CONFINS - BH", "uf" => "MG", "tipo" => "TECA", "cep" => "33500-900" ],
            [ "id" => 19, "unidade" => "CPV", "cidade" => "CAMPINA GRANDE", "uf" => "PB", "tipo" => "TECA", "cep" => "58414-500" ],
            [ "id" => 20, "unidade" => "CWB", "cidade" => "CURITIBA", "uf" => "PR", "tipo" => "TECA", "cep" => "83010-900" ],
            [ "id" => 22, "unidade" => "DIQ", "cidade" => "DIVINOPOLIS", "uf" => "MG", "tipo" => "TECA", "cep" => "35500-155" ],
            [ "id" => 23, "unidade" => "DOU", "cidade" => "DOURADOS", "uf" => "MS", "tipo" => "TECA", "cep" => "79801-017" ],
            [ "id" => 24, "unidade" => "FEN", "cidade" => "FERNANDO DE NORONHA", "uf" => "PE", "tipo" => "TECA", "cep" => "53990-000" ],
            [ "id" => 25, "unidade" => "FLN", "cidade" => "FLORIANOPOLIS", "uf" => "SC", "tipo" => "TECA", "cep" => "88047-400" ],
            [ "id" => 26, "unidade" => "FOR", "cidade" => "FORTALEZA", "uf" => "CE", "tipo" => "TECA", "cep" => "60741-900" ],
            [ "id" => 27, "unidade" => "GEL", "cidade" => "SANTO ANGELO", "uf" => "RS", "tipo" => "TECA", "cep" => "98803-430" ],
            [ "id" => 28, "unidade" => "GIG", "cidade" => "RIO DE JANEIRO – GALEAO", "uf" => "RJ", "tipo" => "TECA", "cep" => "21941-520" ],
            [ "id" => 29, "unidade" => "GRU", "cidade" => "GUARULHOS", "uf" => "SP", "tipo" => "TECA", "cep" => "07190-100" ],
            [ "id" => 30, "unidade" => "GYN", "cidade" => "GOIANIA", "uf" => "GO", "tipo" => "TECA", "cep" => "74672-400" ],
            [ "id" => 31, "unidade" => "GVR", "cidade" => "GOVERNADOR VALADARES", "uf" => "MG", "tipo" => "TECA", "cep" => "35010-001" ],
            [ "id" => 32, "unidade" => "IGU", "cidade" => "FOZ DO IGUACU", "uf" => "PR", "tipo" => "TECA", "cep" => "85853-900" ],
            [ "id" => 33, "unidade" => "IMP", "cidade" => "IMPERATRIZ", "uf" => "MA", "tipo" => "TECA", "cep" => "65900-510" ],
            [ "id" => 34, "unidade" => "IOS", "cidade" => "ILHEUS", "uf" => "BA", "tipo" => "TECA", "cep" => "45654-070" ],
            [ "id" => 35, "unidade" => "IPN", "cidade" => "IPATINGA", "uf" => "MG", "tipo" => "TECA", "cep" => "35162-016" ],
            [ "id" => 37, "unidade" => "JDO", "cidade" => "JUAZEIRO DO NORTE", "uf" => "CE", "tipo" => "TECA", "cep" => "63030-030" ],
            [ "id" => 38, "unidade" => "JOI", "cidade" => "JOINVILLE", "uf" => "SC", "tipo" => "TECA", "cep" => "89226-435" ],
            [ "id" => 39, "unidade" => "JPA", "cidade" => "JOAO PESSOA", "uf" => "PB", "tipo" => "TECA", "cep" => "58308-901" ],
            [ "id" => 40, "unidade" => "JPR", "cidade" => "JI PARANA", "uf" => "RO", "tipo" => "TECA", "cep" => "76900-062" ],
            [ "id" => 42, "unidade" => "LAJ", "cidade" => "LAGES", "uf" => "SC", "tipo" => "TECA", "cep" => "88504-570" ],
            [ "id" => 43, "unidade" => "LDB", "cidade" => "LONDRINA", "uf" => "PR", "tipo" => "TECA", "cep" => "86039-090" ],
            [ "id" => 44, "unidade" => "MAB", "cidade" => "MARABA", "uf" => "PA", "tipo" => "TECA", "cep" => "68501-660" ],
            [ "id" => 45, "unidade" => "MAO", "cidade" => "MANAUS ", "uf" => "AM", "tipo" => "TECA", "cep" => "69036-605" ],
            [ "id" => 46, "unidade" => "MCP", "cidade" => "MACAPA", "uf" => "AP", "tipo" => "TECA", "cep" => "68908-119" ],
            [ "id" => 47, "unidade" => "MCZ", "cidade" => "MACEIO", "uf" => "AL", "tipo" => "TECA", "cep" => "57100-000" ],
            [ "id" => 48, "unidade" => "MGF", "cidade" => "MARINGA", "uf" => "PR", "tipo" => "TECA", "cep" => "87065-665" ],
            [ "id" => 49, "unidade" => "MII", "cidade" => "MARILIA", "uf" => "SP", "tipo" => "TECA", "cep" => "17511-000" ],
            [ "id" => 50, "unidade" => "MOC", "cidade" => "MONTES CLAROS", "uf" => "MG", "tipo" => "TECA", "cep" => "39401-458" ],
            [ "id" => 51, "unidade" => "NAT", "cidade" => "NATAL", "uf" => "RN", "tipo" => "TECA", "cep" => "59290-000" ],
            [ "id" => 52, "unidade" => "NVT", "cidade" => "NAVEGANTES", "uf" => "SC", "tipo" => "TECA", "cep" => "88370-208" ],
            [ "id" => 53, "unidade" => "OAL", "cidade" => "CACOAL", "uf" => "RO", "tipo" => "TECA", "cep" => "76963-802" ],
            [ "id" => 54, "unidade" => "OPS", "cidade" => "SINOP", "uf" => "MT", "tipo" => "TECA", "cep" => "78550-070" ],
            [ "id" => 55, "unidade" => "PFB", "cidade" => "PASSO FUNDO", "uf" => "RS", "tipo" => "TECA", "cep" => "99010-140" ],
            [ "id" => 56, "unidade" => "PLU", "cidade" => "PAMPULHA - BH", "uf" => "MG", "tipo" => "TECA", "cep" => "31270-480" ],
            [ "id" => 57, "unidade" => "PMW", "cidade" => "PALMAS", "uf" => "TO", "tipo" => "TECA", "cep" => "77015-200" ],
            [ "id" => 58, "unidade" => "PNZ", "cidade" => "PETROLINA", "uf" => "PE", "tipo" => "TECA", "cep" => "56328-680" ],
            [ "id" => 59, "unidade" => "POA", "cidade" => "PORTO ALEGRE", "uf" => "RS", "tipo" => "TECA", "cep" => "90200-310" ],
            [ "id" => 60, "unidade" => "PPB", "cidade" => "PRESIDENTE PRUDENTE", "uf" => "SP", "tipo" => "TECA", "cep" => "19013-380" ],
            [ "id" => 61, "unidade" => "PVH", "cidade" => "PORTO VELHO", "uf" => "RO", "tipo" => "TECA", "cep" => "76803-250" ],
            [ "id" => 62, "unidade" => "RAO", "cidade" => "RIBEIRAO PRETO", "uf" => "SP", "tipo" => "TECA", "cep" => "14075-390" ],
            [ "id" => 63, "unidade" => "REC", "cidade" => "RECIFE", "uf" => "PE", "tipo" => "TECA", "cep" => "51210-902" ],
            [ "id" => 64, "unidade" => "ROO", "cidade" => "RONDONOPOLIS", "uf" => "MT", "tipo" => "TECA", "cep" => "78745-270" ],
            [ "id" => 65, "unidade" => "SDU", "cidade" => "RIO DE JANEIRO - S. DUMONT", "uf" => "RJ", "tipo" => "TECA", "cep" => "20021-010" ],
            [ "id" => 66, "unidade" => "SJP", "cidade" => "SAO JOSE DO RIO PRETO", "uf" => "SP", "tipo" => "TECA", "cep" => "15025-010" ],
            [ "id" => 67, "unidade" => "SLZ", "cidade" => "SAO LUIS", "uf" => "MA", "tipo" => "TECA", "cep" => "65056-480" ],
            [ "id" => 69, "unidade" => "SSA", "cidade" => "SALVADOR ", "uf" => "BA", "tipo" => "TECA", "cep" => "41520-045" ],
            [ "id" => 70, "unidade" => "STM", "cidade" => "SANTAREM", "uf" => "PA", "tipo" => "TECA", "cep" => "68040-040" ],
            [ "id" => 71, "unidade" => "TBT", "cidade" => "TABATINGA", "uf" => "AM", "tipo" => "TECA", "cep" => "69640-001" ],
            [ "id" => 73, "unidade" => "TJL", "cidade" => "TRES LAGOAS", "uf" => "MS", "tipo" => "TECA", "cep" => "79604-000" ],
            [ "id" => 74, "unidade" => "THE", "cidade" => "TERESINA", "uf" => "PI", "tipo" => "TECA", "cep" => "64006-700" ],
            [ "id" => 75, "unidade" => "UBA", "cidade" => "UBERABA", "uf" => "MG", "tipo" => "TECA", "cep" => "38050-501" ],
            [ "id" => 76, "unidade" => "UDI", "cidade" => "UBERLANDIA", "uf" => "MG", "tipo" => "TECA", "cep" => "38400-170" ],
            [ "id" => 77, "unidade" => "URG", "cidade" => "URUGUAIANA", "uf" => "RS", "tipo" => "TECA", "cep" => "97501-550" ],
            [ "id" => 78, "unidade" => "VAG", "cidade" => "VARGINHA", "uf" => "MG", "tipo" => "TECA", "cep" => "37026-100" ],
            [ "id" => 79, "unidade" => "VCP", "cidade" => "CAMPINAS - VIRACOPOS", "uf" => "SP", "tipo" => "TECA", "cep" => "13052-970" ],
            [ "id" => 80, "unidade" => "VDC", "cidade" => "VITORIA DA CONQUISTA", "uf" => "BA", "tipo" => "TECA", "cep" => "45023-490" ],
            [ "id" => 81, "unidade" => "VIX", "cidade" => "VITORIA", "uf" => "ES", "tipo" => "TECA", "cep" => "29075-920" ],
            [ "id" => 82, "unidade" => "XAP", "cidade" => "CHAPECO", "uf" => "SC", "tipo" => "TECA", "cep" => "89801-040" ],
            [ "id" => 83, "unidade" => "PGZ", "cidade" => "PONTA GROSSA", "uf" => "PR", "tipo" => "TECA", "cep" => "84040-230" ],
            [ "id" => 84, "unidade" => "BPS", "cidade" => "PORTO SEGURO", "uf" => "BA", "tipo" => "TECA", "cep" => "45810-000" ],
            [ "id" => 85, "unidade" => "TXF", "cidade" => "TEIXEIRA DE FREITAS", "uf" => "BA", "tipo" => "TECA", "cep" => "45985-041" ],
            [ "id" => 86, "unidade" => "JJD", "cidade" => "JERICOACOARA (ACARAU)", "uf" => "CE", "tipo" => "TECA", "cep" => "62580-000" ],
            [ "id" => 88, "unidade" => "MVF", "cidade" => "MOSSORO", "uf" => "RN", "tipo" => "TECA", "cep" => "59607-330" ],
            [ "id" => 90, "unidade" => "RBR", "cidade" => "RIO BRANCO", "uf" => "AC", "tipo" => "TECA", "cep" => "69900-451" ],
            [ "id" => 91, "unidade" => "IZA", "cidade" => "JUIZ DE FORA", "uf" => "MG", "tipo" => "TECA", "cep" => "36092-060" ],
            [ "id" => 92, "unidade" => "ALT", "cidade" => "ALENQUER", "uf" => "PA", "tipo" => "TECA", "cep" => "68200-000" ],
            [ "id" => 93, "unidade" => "CSU", "cidade" => "SANTA CRUZ DO SUL", "uf" => "RS", "tipo" => "TECA", "cep" => "96810-174" ],
            [ "id" => 94, "unidade" => "ERM", "cidade" => "ERECHIM", "uf" => "RS", "tipo" => "TECA", "cep" => "99709-296" ],
            [ "id" => 95, "unidade" => "JPO", "cidade" => "PATOS", "uf" => "PB", "tipo" => "TECA", "cep" => "58701-010" ],
            [ "id" => 96, "unidade" => "JTC", "cidade" => "BAURU", "uf" => "SP", "tipo" => "TECA", "cep" => "17016-080" ],
            [ "id" => 97, "unidade" => "SJK", "cidade" => "SAO JOSE DOS CAMPOS", "uf" => "SP", "tipo" => "TECA", "cep" => "12240-000" ],
            [ "id" => 98, "unidade" => "ALQ", "cidade" => "ALEGRETE", "uf" => "RS", "tipo" => "TECA", "cep" => "97541-520" ],
            [ "id" => 99, "unidade" => "BVS", "cidade" => "BREVES", "uf" => "PA", "tipo" => "TECA", "cep" => "68800-000" ],
            [ "id" => 101, "unidade" => "CXJ", "cidade" => "CAXIAS DO SUL", "uf" => "RS", "tipo" => "TECA", "cep" => "94098-420" ],
            [ "id" => 103, "unidade" => "GGF", "cidade" => "ALMEIRIM", "uf" => "PA", "tipo" => "TECA", "cep" => "68230-000" ],
            [ "id" => 104, "unidade" => "ITB", "cidade" => "ITAITUBA", "uf" => "PA", "tipo" => "TECA", "cep" => "68180-470" ],
            [ "id" => 105, "unidade" => "JBS", "cidade" => "SAO BORJA", "uf" => "RS", "tipo" => "TECA", "cep" => "97670-000" ],
            [ "id" => 107, "unidade" => "JRT", "cidade" => "JURITI", "uf" => "PA", "tipo" => "TECA", "cep" => "681170-00" ],
            [ "id" => 108, "unidade" => "MBZ", "cidade" => "MAUES", "uf" => "AM", "tipo" => "TECA", "cep" => "69190-000" ],
            [ "id" => 109, "unidade" => "MEU", "cidade" => "MONTE DOURADO", "uf" => "PA", "tipo" => "TECA", "cep" => "68330-000" ],
            [ "id" => 110, "unidade" => "MTE", "cidade" => "MONTE ALEGRE", "uf" => "PA", "tipo" => "TECA", "cep" => "68220-000" ],
            [ "id" => 111, "unidade" => "OBI", "cidade" => "OBIDOS", "uf" => "PA", "tipo" => "TECA", "cep" => "68250-000" ],
            [ "id" => 112, "unidade" => "ORX", "cidade" => "ORIXIMINA", "uf" => "PA", "tipo" => "TECA", "cep" => "68270-000" ],
            [ "id" => 113, "unidade" => "PET", "cidade" => "PELOTAS", "uf" => "RS", "tipo" => "TECA", "cep" => "96015-140" ],
            [ "id" => 114, "unidade" => "PTO", "cidade" => "PATO BRANCO", "uf" => "PR", "tipo" => "TECA", "cep" => "85501-356" ],
            [ "id" => 115, "unidade" => "PTQ", "cidade" => "PORTO DE MOZ", "uf" => "PA", "tipo" => "TECA", "cep" => "68330-000" ],
            [ "id" => 116, "unidade" => "RIA", "cidade" => "SANTA MARIA", "uf" => "RS", "tipo" => "TECA", "cep" => "97015-090" ],
            [ "id" => 117, "unidade" => "RVD", "cidade" => "RIO VERDE", "uf" => "GO", "tipo" => "TECA", "cep" => "75901-050" ],
            [ "id" => 118, "unidade" => "SET", "cidade" => "SERRA TALHADA", "uf" => "PE", "tipo" => "TECA", "cep" => "56903-340" ],
            [ "id" => 119, "unidade" => "SMT", "cidade" => "SORRISO", "uf" => "MT", "tipo" => "TECA", "cep" => "78890-000" ],
            [ "id" => 120, "unidade" => "SRA", "cidade" => "SANTA ROSA", "uf" => "RS", "tipo" => "TECA", "cep" => "98797-899" ],
            [ "id" => 122, "unidade" => "TOW", "cidade" => "TOLEDO", "uf" => "PR", "tipo" => "TECA", "cep" => "85906-070" ],
            [ "id" => 123, "unidade" => "PMG", "cidade" => "PONTA PORA", "uf" => "MS", "tipo" => "TECA", "cep" => "79905-334" ],
            [ "id" => 124, "unidade" => "SJL", "cidade" => "SAO GABRIEL DA CACHOEIRA", "uf" => "AM", "tipo" => "TECA", "cep" => "69750-000" ],
            [ "id" => 125, "unidade" => "AQA", "cidade" => "ARARAQUARA", "uf" => "SP", "tipo" => "TECA", "cep" => "14804-193" ],
        ];

        foreach ($dados as $dado) {
            Unidade::create($dado);
        }

    }
}
